# Class ObjectFilterTest

java.lang.Object
org.eclipse.ui.internal.ObjectFilterTest

public class ObjectFilterTest extends Object
An ObjectFilterTest is used to read an object filter from XML, and evaluate the results for a given object.

## Constructor Summary

Constructors
Constructor
Description
`ObjectFilterTest()`
Create a new object filter.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addFilterElement(IConfigurationElement element)`
Add a filter element to the test.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectFilterTest

public ObjectFilterTest()
Create a new object filter.

## Method Details

### addFilterElement

public boolean addFilterElement(IConfigurationElement element)
Add a filter element to the test. This element must contain a name value filter pair, as defined by the `org.eclipse.ui.actionFilters` extension point.